/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/* CSS HueTravel Search */
.brxe-hue-travel__search {
    display: flex;
    width: 100%;
    flex-direction: column;
}

.brxe-hue-travel__search .form-body {
    display: flex;
    gap: 20px;
    width: 100%;
    flex-direction: row;
}

.brxe-hue-travel__search .form-body .form-group {
    width: 100%;
}

.brxe-hue-travel__search .form-body .form-group select {
    background-color: var(--bricks-color-xcgxtl);
}

.brxe-hue-travel__search .form-foot button {
    padding: 9px;
    display: flex;
    gap: 10px;
    align-items: center;
    font-size: 12px;
    font-weight: 700;
    line-height: 1.3;
    border: 2px solid var(--bricks-color-tiuigs);
    color: var(--bricks-color-xcgxtl);
    background-color: var(--bricks-color-tiuigs);
}

.brxe-hue-travel__search .form-foot button span {
    white-space: nowrap;
}

/* CSS HueTravel Weather */
.brxe-hue-travel__weather {
    padding: 30px;
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
    background: url('https://cdn.weatherapi.com/weather-widget/img/weatherapi-backgrounds/4_widget3.png') no-repeat 50% / cover;
}

.brxe-hue-travel__weather .weather-today-location {
    margin-bottom: 15px;
    font-size: 18px;
    text-align: center;
    color: var(--bricks-color-xcgxtl);
}

.brxe-hue-travel__weather .weather-today-wrap {
    display: flex;
    align-items: center;
    justify-content: space-around;
    color: var(--bricks-color-xcgxtl);
}

.brxe-hue-travel__weather .weather-today-wrap .weather-today-desc {
    display: flex;
    gap: 4px;
    align-items: center;
    flex-direction: column;
}

.brxe-hue-travel__weather .weather-today-wrap .weather-today-desc h3 {
    margin-top: 10px;
    font-weight: 300;
    color: var(--bricks-color-xcgxtl);
}

.brxe-hue-travel__weather .weather-forecast {
    margin-top: 40px;
    display: flex;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.brxe-hue-travel__weather .weather-forecast::-webkit-scrollbar {
    display: none;
}

.brxe-hue-travel__weather .weather-forecast .weather-forecast-day {
    display: flex;
    align-items: center;
    flex-direction: column;
    min-width: 110px;
    width: calc(100% / 7);
    color: var(--bricks-color-xcgxtl);
}

@media (max-width: 767px) {
    .brxe-hue-travel__weather .weather-today-wrap .weather-today-info {
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .brxe-hue-travel__weather .weather-forecast .weather-forecast-day {
        min-width: 77px;
    }

    .brxe-hue-travel__weather .weather-forecast .weather-forecast-day .weather-forecast-day-abbr {
        min-height: 40px;
        text-align: center;
    }
}

@media (max-width: 478px) {
    .brxe-hue-travel__weather {
        padding: 30px 15px;
    }

    .brxe-hue-travel__weather .weather-today-wrap {
        justify-content: space-between;
    }
}